org.apache.storm.generated

## Class DistributedRPCInvocations.AsyncProcessor.result<I extends DistributedRPCInvocations.AsyncIface>

- java.lang.Object
- - org.apache.storm.thrift.AsyncProcessFunction<I,DistributedRPCInvocations.result_args,Void>
  - - org.apache.storm.generated.DistributedRPCInvocations.AsyncProcessor.result<I>

- Enclosing class:
    DistributedRPCInvocations.AsyncProcessor<I extends DistributedRPCInvocations.AsyncIface>

      public static class DistributedRPCInvocations.AsyncProcessor.result<I extends DistributedRPCInvocations.AsyncIface>
      extends org.apache.storm.thrift.AsyncProcessFunction<I,DistributedRPCInvocations.result_args,Void>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `result()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DistributedRPCInvocations.result_args` | `getEmptyArgsInstance()`
    `org.apache.storm.thrift.async.AsyncMethodCallback<Void>` | `getResultHandler(org.apache.storm.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
    `protected boolean` | `isOneway()`
    `void` | `start(I iface, DistributedRPCInvocations.result_args args, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`

    - ### Methods inherited from class org.apache.storm.thrift.AsyncProcessFunction

      `getMethodName, sendResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### result

          public result()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public DistributedRPCInvocations.result_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends DistributedRPCInvocations.AsyncIface,DistributedRPCInvocations.result_args,Void>`

    - #### getResultHandler

          public org.apache.storm.thrift.async.AsyncMethodCallback<Void> getResultHandler(org.apache.storm.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                          int seqid)

      Specified by:
        `getResultHandler` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends DistributedRPCInvocations.AsyncIface,DistributedRPCInvocations.result_args,Void>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends DistributedRPCInvocations.AsyncIface,DistributedRPCInvocations.result_args,Void>`

    - #### start

          public void start(I iface,
                            DistributedRPCInvocations.result_args args,
                            org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `start` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends DistributedRPCInvocations.AsyncIface,DistributedRPCInvocations.result_args,Void>`
      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2019 The Apache Software Foundation. All rights reserved.